4 Replies
      Latest reply on Nov 6, 2015 1:55 PM by tomkincaid
      tomkincaid Level 1 Level 1 (0 points)

        I'm updating my apps to iOS 9 using Xcode 7.1. I upgraded the watch apps to OS 2 like chaning openParentApplication to use WCSession. When submitting, I get this warning in an email:

         

        "WatchKit 1.0 - Your previous version used an extension for Apple Watch but your current version doesn’t. Users who haven’t updated their Apple Watch to watchOS 2 or later may lose access to their Apple Watch extension."

         

        How can I support both the watchOS 1 and watchOS 2? Xocde doesn't even let me choose OS1 as a base SDK.